rio-0.1.22.0: A standard library for Haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

RIO.NonEmpty.Partial

Contents

- Indexing streams
- Converting to and from a list

Description

`NonEmpty` list partial functions. Import as:

    import qualified RIO.NonEmpty.Partial as NE'

Synopsis

- (!!) :: HasCallStack => NonEmpty a -> Int -> a
- fromList :: HasCallStack => [a] -> NonEmpty a

# Indexing streams

(!!) :: HasCallStack => NonEmpty a -> Int -> a #

# Converting to and from a list

fromList :: HasCallStack => [a] -> NonEmpty a #